# vim:set ft=xf86conf sw=2:

# Copyright (C) 2006 PeterG. This program is free software: you
# can redistribute it and/or modify it under the terms of the
# GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your
# option) any later version. This program is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

########################################################################

# Two monitors as one "screen" in TwinView. May run into the
# 4096x4096 framebuffer limit of older cards.

Section		"ServerLayout"
  Identifier		"LayoutT"
  Screen		"ScreenT"

  InputDevice		"Mouse0"		"CorePointer"
  InputDevice		"Keyboard0"		"CoreKeyboard"

  Option		"BlankTime"		"0"
  Option		"StandbyTime"		"30"
  Option		"SuspendTime"		"120"
  Option		"OffTime"		"180"
EndSection

Section		"Screen"
  Identifier		"ScreenT"
  Device		"VideocardT"
  DefaultDepth		24
  SubSection	"Display"
    Virtual		2560 1024
  EndSubSection
EndSection

########################################################################

# Two monitors as two separate "screens" handled as one via
# Xinerama. Avoids the 4096x4096 framebuffer limit of older
# cards.

Section		"ServerLayout"
  Identifier		"Layout01"
  Screen		0 "Screen0"
  Screen		1 "Screen1"		RightOf "Screen0"
  Option		"Xinerama"		"on"

  InputDevice		"Mouse0"		"CorePointer"
  InputDevice		"Keyboard0"		"CoreKeyboard"

  Option		"BlankTime"		"0"
  Option		"StandbyTime"		"30"
  Option		"SuspendTime"		"120"
  Option		"OffTime"		"180"
EndSection

Section		"Screen"
  Identifier		"Screen0"
  Device		"Videocard0"
  Monitor		"Monitor0"
  DefaultDepth		24
EndSection

Section		"Screen"
  Identifier		"Screen1"
  Device		"Videocard1"
  Monitor		"Monitor1"
  DefaultDepth		24
EndSection

########################################################################

Section		"Monitor"
  Identifier		"Monitor0"
  VendorName		"generic"
  ModelName		"LCD"
  Option		"DPMS"			"on"
EndSection

Section		"Monitor"
  Identifier		"Monitor1"
  VendorName		"generic"
  ModelName		"LCD"
  Option		"DPMS"			"on"
EndSection

########################################################################

Section		"Device"
  Identifier		"VideocardT"
  Driver		"nvidia"
  VendorName		"generic"
  BoardName		"nVidia"

  Option		"UseEdidFreqs"		"yes"
  Option		"FlatPanelProperties"	"Scaling=Native"

  Option		"TwinView"		"yes"
  Option		"TwinViewOrientation"	"RightOf"
  Option		"MetaModes"		"1280x1204,1280x1204"
EndSection

Section		"Device"
  Identifier		"Videocard0"
# BusID			"PCI:1:0:0"
  Driver		"nvidia"
  Screen		0
  VendorName		"generic"
  BoardName		"nVidia"

  Option		"UseEdidFreqs"		"yes"
  Option		"FlatPanelProperties"	"Scaling=Native"
EndSection

Section		"Device"
  Identifier		"Videocard1"
# BusID			"PCI:1:0:0"
  Driver		"nvidia"
  Screen		1
  VendorName		"generic"
  BoardName		"nVidia"

  Option		"UseEdidFreqs"		"yes"
  Option		"FlatPanelProperties"	"Scaling=Native"
EndSection

########################################################################

Section		"InputDevice"
  Identifier		"Keyboard0"
  Driver		"kbd"
  Option		"XkbModel"		"pc105"
  Option		"XkbLayout"		"gb"
EndSection

Section		"InputDevice"
  Identifier		"Mouse0"
  Driver		"mouse"
  Option		"Protocol"		"IMPS/2"
  Option		"Device"		"/dev/input/mice"
  Option		"ZAxisMapping"		"4 5"
  Option		"Emulate3Buttons"	"yes"
EndSection

########################################################################

Section		"Files"
  RgbPath		"/usr/share/X11/rgb"

  FontPath		"/usr/share/X11/fonts/misc:unscaled"
  FontPath		"/usr/share/X11/fonts/100dpi:unscaled"
  FontPath		"/usr/share/X11/fonts/75dpi:unscaled"
  FontPath		"/usr/share/X11/fonts/Type1"
  FontPath		"/usr/share/X11/fonts/TTF"
  FontPath		"/usr/share/X11/fonts/OTF"

  FontPath		"/usr/share/fonts/default/Type1"
  FontPath		"/usr/share/fonts/msttcorefonts"
  FontPath		"/usr/share/fonts/liberation"
  FontPath		"/usr/share/fonts/dejavu-lgc"

  FontPath		"/usr/share/fonts/ISO8859-2/misc:unscaled"
  FontPath		"/usr/share/fonts/ISO8859-2/100dpi:unscaled"
  FontPath		"/usr/share/fonts/ISO8859-2/75dpi:unscaled"
  FontPath		"/usr/share/fonts/ISO8859-2/misc"
  FontPath		"/usr/share/fonts/ISO8859-2/100dpi"
  FontPath		"/usr/share/fonts/ISO8859-2/75dpi"

  FontPath		"/usr/share/fonts/KOI8-R/misc:unscaled"
  FontPath		"/usr/share/fonts/KOI8-R/100dpi:unscaled"
  FontPath		"/usr/share/fonts/KOI8-R/75dpi:unscaled"
  FontPath		"/usr/share/fonts/KOI8-R/misc"
  FontPath		"/usr/share/fonts/KOI8-R/100dpi"
  FontPath		"/usr/share/fonts/KOI8-R/75dpi"

  FontPath		"/usr/share/fonts/japanese/misc:unscaled"
  FontPath		"/usr/share/fonts/japanese/TrueType"
  FontPath		"/usr/share/fonts/japanese/misc"

  FontPath		"/usr/share/fonts/korean/misc:unscaled"
  FontPath		"/usr/share/fonts/korean/TrueType"
  FontPath		"/usr/share/fonts/korean/misc"

  FontPath		"/usr/share/fonts/chinese/misc:unscaled"
  FontPath		"/usr/share/fonts/chinese/TrueType"
  FontPath		"/usr/share/fonts/chinese/misc"

  FontPath		"unix/:7100"
EndSection

Section		"Module"
  Load			"dbe"
  Load			"extmod"
  Load			"record"
  Load			"fbdevhw"
  Load			"freetype"
  Load			"type1"
  Load			"glx"
EndSection

Section		"DRI"
  Group			0
  Mode			0666
EndSection
